# alsa-monitor config file
properties = {
}

rules = [
    # an array of matches/actions to evaluate
    {
        # rules for matching a device or node. It is an array of
        # properties that all need to match the regexp. If any of the
        # matches work, the actions are executed for the object.
        matches = [
            {
	        # this matches all cards
                device.name = ~alsa_card.*
            }
        ]
        actions = {
            # actions can update properties on the matched object.
            update-props = {
                api.alsa.use-acp = 		true
                #api.alsa.use-ucm = 		true
                #api.alsa.soft-mixer = 		false
                #api.alsa.ignore-dB = 		false
                #device.profile-set = 		"profileset-name"
                #device.profile = 		"default profile name"
                #api.acp.auto-port = 		true
                #api.acp.auto-profile = 	true
                #device.nick = 			"My Device"
            }
        }
    }
    {
        matches = [
            {
	        # matches all sinks
                node.name = ~alsa_input.*
            }
            {
	        # matches all sources
                node.name = ~alsa_output.*
            }
        ]
        actions = {
            update-props = {
                #node.nick = 			"My Node"
                #node.nick = 			null
                #priority.driver = 		100
                #priority.session = 		100
                #resample.quality = 		4
                #channelmix.normalize =		false
                #channelmix.mix-lfe = 		false
                #audio.format = 		"S16LE"
                #audio.rate = 			44100
                #audio.position = 		"FL,FR"
            }
        }
    }
]

